body { font-family: sans-serif; }
img {
  max-inline-size: 100%;
  block-size: auto;
}


.scene {
  width: 860px;
  height: 619px;
  margin: 10px auto;
  perspective: 1000px;
}

.card {
  position: relative;
  width: 100%;
  height: 100%;
  cursor: pointer;
  transform-style: preserve-3d;
  transform-origin: center right;
  transition: transform 1.5s;
  backface-visibility: hidden;
}

.card.is-flipped {
  transform: translateX(-100%) rotateY(-180deg);
}

.card__face {
  position: absolute;
  width: 100%;
  height: 100%;
  line-height: 20px;
  color: black;
  text-align: center;
  font-weight: bold;
  font-size: 16px;
  backface-visibility: hidden;
}

.card__face--front {
  backface-visibility: hidden;
}

.card__face--back {
  backface-visibility: hidden;
  transform: rotateY(180deg);
}